## lan.7z

=== asfcli_src/Makefile ===
################################################################################
#
# Copyright (c) 2001-2006, Intel Corporation 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are met:
# 
#  1. Redistributions of source code must retain the above copyright notice, 
#     this list of conditions and the following disclaimer.
# 
#  2. Redistributions in binary form must reproduce the above copyright 
#     notice, this list of conditions and the following disclaimer in the 
#     documentation and/or other materials provided with the distribution.
# 
#  3. Neither the name of the Intel Corporation nor the names of its 
#     contributors may be used to endorse or promote products derived from 
#     this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
################################################################################

#Version
########
COMP_VERSION = 4.0.20

#Configuration flags
####################
DEBUG = 0
SPAN_TREE = 1

DEFINES += -DCOMPONENT_VERSION=\"$(COMP_VERSION)-f\"

OPTIMIZE_FLAGS = -O
WARNING_FLAGS  = -Wall -Wno-deprecated
ifeq ($(DEBUG),1)
  DEBUG_FLAGS += -g
  DEFINES += -DASF_DEBUG
  MSGS += "*********************\n"
  MSGS += "*** Debug mode on ***\n"
  MSGS += "*********************\n"
else
  DEFINES += -DNDEBUG
endif

DEFINES += -DFULL_FUNCTION

ifeq ($(SPAN_TREE),1)
	DEFINES += -DSPAN_TREE -DSPAN_TREE_PET_DELAY
endif	

MSGS = "\n"

#CFLAGS
#######
CC=g++
CFLAGS = $(DEFINES) $(INCLUDES) $(OPTIMIZE_FLAGS) $(WARNING_FLAGS) $(DEBUG_FLAGS) 

#Objects
########
APP_OBJ    = app.o UICommon.o
AGENT_SRCS = $(APP_OBJ:.o=.cpp)
AGENT_HDRS = $(APP_OBJ:.o=.h) AsfAgentApi.h AsfConfigDefines.h
SRCS 	   =  $(AGENT_SRCS) 
HDRS 	   = $(AGENT_HDRS) 
SHARED_LIB = libasfd.so.1.0
TARGET_DIR = .
TESTAPP   = $(TARGET_DIR)/asfcli
MAKEDEPEND = makedepend -- $(CFLAGS) -- $(SRCS) -nostdinc

all: $(TESTAPP)

$(TESTAPP): $(APP_OBJ)
	@echo "Creating $@ ..."
	$(CC) $(CFLAGS) $(APP_OBJ) $(SHARED_LIB) -o $@

%.o: %.cpp
	@echo "  Compiling $< ..."
	$(CC) $(CFLAGS) -c $< -o $@

depend: 
	$(MAKEDEPEND) -f .depend -- $(CFLAGS) -- $(SRCS) $(HDRS)


clean:
	rm -f $(TESTAPP)
	rm -f $(APP_OBJ)

veryclean: clean
	@echo -n > .depend
	@echo "You should run makedepend"	

$(shell touch .depend)	
include .depend

# DO NOT DELETE

=== src/Makefile ===
################################################################################
#
# Intel 10 Gigabit PCI Express Linux driver
# Copyright(c) 1999 - 2010 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

###########################################################################
# Driver files

# core driver files
CFILES = ixgbe_main.c ixgbe_common.c ixgbe_api.c ixgbe_param.c \
         ixgbe_ethtool.c kcompat.c ixgbe_82598.c \
         ixgbe_82599.c \
         ixgbe_sriov.c ixgbe_mbx.c \
         ixgbe_dcb.c ixgbe_dcb_82598.c \
         ixgbe_dcb_82599.c \
         ixgbe_phy.c
HFILES = ixgbe.h ixgbe_common.h ixgbe_api.h ixgbe_osdep.h kcompat.h \
         ixgbe_sriov.h ixgbe_mbx.h \
         ixgbe_dcb.h \
         ixgbe_phy.h
ifeq (,$(BUILD_KERNEL))
BUILD_KERNEL=$(shell uname -r)
endif

DRIVER_NAME=ixgbe

###########################################################################
# Environment tests

# Kernel Search Path
# All the places we look for kernel source
KSP :=  /lib/modules/$(BUILD_KERNEL)/build \
        /lib/modules/$(BUILD_KERNEL)/source \
        /usr/src/linux-$(BUILD_KERNEL) \
        /usr/src/linux-$($(BUILD_KERNEL) | sed 's/-.*//') \
        /usr/src/kernel-headers-$(BUILD_KERNEL) \
        /usr/src/kernel-source-$(BUILD_KERNEL) \
        /usr/src/linux-$($(BUILD_KERNEL) | sed 's/\([0-9]*\.[0-9]*\)\..*/\1/') \
        /usr/src/linux

# prune the list down to only values that exist
# and have an include/linux sub-directory
test_dir = $(shell [ -e $(dir)/include/linux ] && echo $(dir))
KSP := $(foreach dir, $(KSP), $(test_dir))

# we will use this first valid entry in the search path
ifeq (,$(KSRC))
  KSRC := $(firstword $(KSP))
endif

ifeq (,$(KSRC))
  $(warning *** Kernel header files not in any of the expected locations.)
  $(warning *** Install the appropriate kernel development package, e.g.)
  $(error kernel-devel, for building kernel modules and try again)
else
ifeq (/lib/modules/$(BUILD_KERNEL)/source, $(KSRC))
  KOBJ :=  /lib/modules/$(BUILD_KERNEL)/build
else
  KOBJ :=  $(KSRC)
endif
endif

# Version file Search Path
VSP :=  $(KOBJ)/include/generated/utsrelease.h \
        $(KOBJ)/include/linux/utsrelease.h \
        $(KOBJ)/include/linux/version.h \
        /boot/vmlinuz.version.h

# Config file Search Path
CSP :=  $(KSRC)/include/generated/autoconf.h \
        $(KSRC)/include/linux/autoconf.h \
        /boot/vmlinuz.autoconf.h

# prune the lists down to only files that exist
test_file = $(shell [ -f $(file) ] && echo $(file))
VSP := $(foreach file, $(VSP), $(test_file))
CSP := $(foreach file, $(CSP), $(test_file))

# and use the first valid entry in the Search Paths
ifeq (,$(VERSION_FILE))
  VERSION_FILE := $(firstword $(VSP))
endif
ifeq (,$(CONFIG_FILE))
  CONFIG_FILE := $(firstword $(CSP))
endif

ifeq (,$(wildcard $(VERSION_FILE)))
  $(error Linux kernel source not configured - missing version header file)
endif

ifeq (,$(wildcard $(CONFIG_FILE)))
  $(error Linux kernel source not configured - missing autoconf.h)
endif

# pick a compiler
ifneq (,$(findstring egcs-2.91.66, $(shell cat /proc/version)))
  CC := kgcc gcc cc
else
  CC := gcc cc
endif
test_cc = $(shell $(cc) --version > /dev/null 2>&1 && echo $(cc))
CC := $(foreach cc, $(CC), $(test_cc))
CC := $(firstword $(CC))
ifeq (,$(CC))
  $(error Compiler not found)
endif

# we need to know what platform the driver is being built on
# some additional features are only built on Intel platforms
ARCH := $(shell uname -m | sed 's/i.86/i386/')
ifeq ($(ARCH),alpha)
  EXTRA_CFLAGS += -ffixed-8 -mno-fp-regs
endif
ifeq ($(ARCH),x86_64)
  EXTRA_CFLAGS += -mcmodel=kernel -mno-red-zone
endif
ifeq ($(ARCH),ppc)
  EXTRA_CFLAGS += -msoft-float
endif
ifeq ($(ARCH),ppc64)
  EXTRA_CFLAGS += -m64 -msoft-float
  LDFLAGS += -melf64ppc
endif

# extra flags for module builds
EXTRA_CFLAGS += -DDRIVER_$(shell echo $(DRIVER_NAME) | tr '[a-z]' '[A-Z]')
EXTRA_CFLAGS += -DDRIVER_NAME=$(DRIVER_NAME)
EXTRA_CFLAGS += -DDRIVER_NAME_CAPS=$(shell echo $(DRIVER_NAME) | tr '[a-z]' '[A-Z]')
# standard flags for module builds
EXTRA_CFLAGS += -DLINUX -D__KERNEL__ -DMODULE -O2 -pipe -Wall
EXTRA_CFLAGS += -I$(KSRC)/include -I.
EXTRA_CFLAGS += $(shell [ -f $(KSRC)/include/linux/modversions.h ] && \
            echo "-DMODVERSIONS -DEXPORT_SYMTAB \
                  -include $(KSRC)/include/linux/modversions.h")

EXTRA_CFLAGS += $(CFLAGS_EXTRA)

RHC := $(KSRC)/include/linux/rhconfig.h
ifneq (,$(wildcard $(RHC)))
  # 7.3 typo in rhconfig.h
  ifneq (,$(shell $(CC) $(CFLAGS) -E -dM $(RHC) | grep __module__bigmem))
	EXTRA_CFLAGS += -D__module_bigmem
  endif
endif

# get the kernel version - we use this to find the correct install path
KVER := $(shell $(CC) $(EXTRA_CFLAGS) -E -dM $(VERSION_FILE) | grep UTS_RELEASE | \
        awk '{ print $$3 }' | sed 's/\"//g')

# assume source symlink is the same as build, otherwise adjust KOBJ
ifneq (,$(wildcard /lib/modules/$(KVER)/build))
ifneq ($(KSRC),$(shell readlink /lib/modules/$(KVER)/build))
  KOBJ=/lib/modules/$(KVER)/build
endif
endif

KKVER := $(shell echo $(KVER) | \
         awk '{ if ($$0 ~ /2\.[4-9]\./) print "1"; else print "0"}')
ifeq ($(KKVER), 0)
  $(error *** Aborting the build. \
          *** This driver is not supported on kernel versions older than 2.4.0)
endif

# Add DCB netlink source if our kernel is 2.6.23 or newer
KKVER := $(shell echo $(KVER) | \
         awk '{ if ($$0 ~ /2\.[6-9]\.(2[3-9]|[3-9][0-9])/) print "1"; else print "0"}')
ifeq ($(KKVER), 1)
  CFILES += ixgbe_dcb_nl.c
endif

# Add FCoE source if FCoE is supported by the kernel
FCOE := $(shell grep -wE 'CONFIG_FCOE|CONFIG_FCOE_MODULE' $(CONFIG_FILE) | \
	awk '{print $$3}')
ifeq ($(FCOE), 1)
  CFILES += ixgbe_fcoe.c
  HFILES += ixgbe_fcoe.h
endif

# set the install path
INSTDIR := /lib/modules/$(KVER)/kernel/drivers/net/$(DRIVER_NAME)

# look for SMP in config.h
SMP := $(shell $(CC) $(EXTRA_CFLAGS) -E -dM $(CONFIG_FILE) | \
         grep -w CONFIG_SMP | awk '{ print $$3 }')
ifneq ($(SMP),1)
  SMP := 0
endif

ifneq ($(SMP),$(shell uname -a | grep SMP > /dev/null 2>&1 && echo 1 || echo 0))
  $(warning ***)
  ifeq ($(SMP),1)
    $(warning *** Warning: kernel source configuration (SMP))
    $(warning *** does not match running kernel (UP))
  else
    $(warning *** Warning: kernel source configuration (UP))
    $(warning *** does not match running kernel (SMP))
  endif
  $(warning *** Continuing with build,)
  $(warning *** resulting driver may not be what you want)
  $(warning ***)
endif

ifeq ($(SMP),1)
  EXTRA_CFLAGS += -D__SMP__
endif

###########################################################################
# 2.4.x & 2.6.x Specific rules

K_VERSION:=$(shell echo $(BUILD_KERNEL) | cut -c1-3 | sed 's/2\.[56]/2\.6/')

ifeq ($(K_VERSION), 2.6)

# Makefile for 2.6.x kernel
TARGET = $(DRIVER_NAME).ko

# man page
MANSECTION = 7
MANFILE = $(TARGET:.ko=.$(MANSECTION))

ifneq ($(PATCHLEVEL),)
EXTRA_CFLAGS += $(CFLAGS_EXTRA)
obj-m += $(DRIVER_NAME).o
$(DRIVER_NAME)-objs := $(CFILES:.c=.o)
else
default:
ifeq ($(KOBJ),$(KSRC))
	$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd) modules
else
	$(MAKE) -C $(KSRC) O=$(KOBJ) SUBDIRS=$(shell pwd) modules
endif
endif

else # ifeq ($(K_VERSION),2.6)

# Makefile for 2.4.x kernel
TARGET = $(DRIVER_NAME).o

# man page
MANSECTION = 7
MANFILE = $(TARGET:.o=.$(MANSECTION))

# Get rid of compile warnings in kernel header files from SuSE
ifneq (,$(wildcard /etc/SuSE-release))
  EXTRA_CFLAGS += -Wno-sign-compare -fno-strict-aliasing
endif

# Get rid of compile warnings in kernel header files from fedora
ifneq (,$(wildcard /etc/fedora-release))
  EXTRA_CFLAGS += -fno-strict-aliasing
endif

CFLAGS += $(EXTRA_CFLAGS)

.SILENT: $(TARGET)
$(TARGET): $(filter-out $(TARGET), $(CFILES:.c=.o))
	$(LD) $(LDFLAGS) -r $^ -o $@
	echo; echo
	echo "**************************************************"
	echo "** $(TARGET) built for $(KVER)"
	echo -n "** SMP               "
	if [ "$(SMP)" = "1" ]; \
		then echo "Enabled"; else echo "Disabled"; fi
	echo "**************************************************"
	echo

$(CFILES:.c=.o): $(HFILES) Makefile
default:
	$(MAKE)

endif # ifeq ($(K_VERSION),2.6)

ifeq (,$(MANDIR))
  # find the best place to install the man page
  MANPATH := $(shell (manpath 2>/dev/null || echo $MANPATH) | sed 's/:/ /g')
  ifneq (,$(MANPATH))
    # test based on inclusion in MANPATH
    test_dir = $(findstring $(dir), $(MANPATH))
  else
    # no MANPATH, test based on directory existence
    test_dir = $(shell [ -e $(dir) ] && echo $(dir))
  endif
  # our preferred install path
  # should /usr/local/man be in here ?
  MANDIR := /usr/share/man /usr/man
  MANDIR := $(foreach dir, $(MANDIR), $(test_dir))
  MANDIR := $(firstword $(MANDIR))
endif
ifeq (,$(MANDIR))
  # fallback to /usr/man
  MANDIR := /usr/man
endif

# depmod version for rpm builds
DEPVER := $(shell /sbin/depmod -V 2>/dev/null | \
          awk 'BEGIN {FS="."} NR==1 {print $$2}')

###########################################################################
# Build rules

$(MANFILE).gz: ../$(MANFILE)
	gzip -c $< > $@

install: default $(MANFILE).gz
	# remove all old versions of the driver
	find $(INSTALL_MOD_PATH)/lib/modules/$(KVER) -name $(TARGET) -exec rm -f {} \; || true
	find $(INSTALL_MOD_PATH)/lib/modules/$(KVER) -name $(TARGET).gz -exec rm -f {} \; || true
	install -D -m 644 $(TARGET) $(INSTALL_MOD_PATH)$(INSTDIR)/$(TARGET)
ifeq (,$(INSTALL_MOD_PATH))
	/sbin/depmod -a || true
else
  ifeq ($(DEPVER),1 )
	/sbin/depmod -r $(INSTALL_MOD_PATH) -a || true
  else
	/sbin/depmod -b $(INSTALL_MOD_PATH) -a -n $(KVERSION) > /dev/null || true
  endif
endif
	install -D -m 644 $(MANFILE).gz $(INSTALL_MOD_PATH)$(MANDIR)/man$(MANSECTION)/$(MANFILE).gz
	man -c -P'cat > /dev/null' $(MANFILE:.$(MANSECTION)=) || true

uninstall:
	if [ -e $(INSTDIR)/$(TARGET) ] ; then \
	    rm -f $(INSTDIR)/$(TARGET) ; \
	fi
	/sbin/depmod -a
	if [ -e $(MANDIR)/man$(MANSECTION)/$(MANFILE).gz ] ; then \
		rm -f $(MANDIR)/man$(MANSECTION)/$(MANFILE).gz ; \
	fi

.PHONY: clean install

clean:
ifeq ($(KOBJ),$(KSRC))
	$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd) clean
else
	$(MAKE) -C $(KSRC) O=$(KOBJ) SUBDIRS=$(shell pwd) clean
endif
	rm -rf $(TARGET) $(TARGET:.ko=.o) $(TARGET:.ko=.mod.c) $(TARGET:.ko=.mod.o) $(CFILES:.c=.o) $(MANFILE).gz .*cmd .tmp_versions

=== src/asfd-4.0.5/bitbang/Makefile ===
################################################################################
#
# 
# "This software program is licensed subject to the GNU General Public License 
# (GPL). Version 2, June 1991, available at 
# <http://www.fsf.org/copyleft/gpl.html>"
# 
# GNU General Public License 
# 
# Version 2, June 1991
# 
# Copyright (C) 1989, 1991 Free Software Foundation, Inc.  
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
# 
# Everyone is permitted to copy and distribute verbatim copies of this license
# document, but changing it is not allowed.
# 
# Preamble
# 
# The licenses for most software are designed to take away your freedom to 
# share and change it. By contrast, the GNU General Public License is intended
# to guarantee your freedom to share and change free software--to make sure 
# the software is free for all its users. This General Public License applies 
# to most of the Free Software Foundation's software and to any other program 
# whose authors commit to using it. (Some other Free Software Foundation 
# software is covered by the GNU Library General Public License instead.) You 
# can apply it to your programs, too.
# 
# When we speak of free software, we are referring to freedom, not price. Our
# General Public Licenses are designed to make sure that you have the freedom 
# to distribute copies of free software (and charge for this service if you 
# wish), that you receive source code or can get it if you want it, that you 
# can change the software or use pieces of it in new free programs; and that 
# you know you can do these things.
# 
# To protect your rights, we need to make restrictions that forbid anyone to 
# deny you these rights or to ask you to surrender the rights. These 
# restrictions translate to certain responsibilities for you if you distribute
# copies of the software, or if you modify it.
# 
# For example, if you distribute copies of such a program, whether gratis or 
# for a fee, you must give the recipients all the rights that you have. You 
# must make sure that they, too, receive or can get the source code. And you 
# must show them these terms so they know their rights.
#  
# We protect your rights with two steps: (1) copyright the software, and (2) 
# offer you this license which gives you legal permission to copy, distribute 
# and/or modify the software. 
# 
# Also, for each author's protection and ours, we want to make certain that 
# everyone understands that there is no warranty for this free software. If 
# the software is modified by someone else and passed on, we want its 
# recipients to know that what they have is not the original, so that any 
# problems introduced by others will not reflect on the original authors' 
# reputations. 
# 
# Finally, any free program is threatened constantly by software patents. We 
# wish to avoid the danger that redistributors of a free program will 
# individually obtain patent licenses, in effect making the program 
# proprietary. To prevent this, we have made it clear that any patent must be 
# licensed for everyone's free use or not licensed at all. 
# 
# The precise terms and conditions for copying, distribution and modification 
# follow. 
# 
# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
# 
# 0. This License applies to any program or other work which contains a notice
#    placed by the copyright holder saying it may be distributed under the 
#    terms of this General Public License. The "Program", below, refers to any
#    such program or work, and a "work based on the Program" means either the 
#    Program or any derivative work under copyright law: that is to say, a 
#    work containing the Program or a portion of it, either verbatim or with 
#    modifications and/or translated into another language. (Hereinafter, 
#    translation is included without limitation in the term "modification".) 
#    Each licensee is addressed as "you". 
# 
#    Activities other than copying, distribution and modification are not 
#    covered by this License; they are outside its scope. The act of running 
#    the Program is not restricted, and the output from the Program is covered 
#    only if its contents constitute a work based on the Program (independent 
#    of having been made by running the Program). Whether that is true depends
#    on what the Program does. 
# 
# 1. You may copy and distribute verbatim copies of the Program's source code 
#    as you receive it, in any medium, provided that you conspicuously and 
#    appropriately publish on each copy an appropriate copyright notice and 
#    disclaimer of warranty; keep intact all the notices that refer to this 
#    License and to the absence of any warranty; and give any other recipients 
#    of the Program a copy of this License along with the Program. 
# 
#    You may charge a fee for the physical act of transferring a copy, and you 
#    may at your option offer warranty protection in exchange for a fee. 
# 
# 2. You may modify your copy or copies of the Program or any portion of it, 
#    thus forming a work based on the Program, and copy and distribute such 
#    modifications or work under the terms of Section 1 above, provided that 
#    you also meet all of these conditions: 
# 
#    * a) You must cause the modified files to carry prominent notices stating 
#         that you changed the files and the date of any change. 
# 
#    * b) You must cause any work that you distribute or publish, that in 
#         whole or in part contains or is derived from the Program or any part 
#         thereof, to be licensed as a whole at no charge to all third parties
#         under the terms of this License. 
# 
#    * c) If the modified program normally reads commands interactively when 
#         run, you must cause it, when started running for such interactive 
#         use in the most ordinary way, to print or display an announcement 
#         including an appropriate copyright notice and a notice that there is
#         no warranty (or else, saying that you provide a warranty) and that 
#         users may redistribute the program under these conditions, and 
#         telling the user how to view a copy of this License. (Exception: if 
#         the Program itself is interactive but does not normally print such 
#         an announcement, your work based on the Program is not required to 
#         print an announcement.) 
# 
#    These requirements apply to the modified work as a whole. If identifiable 
#    sections of that work are not derived from the Program, and can be 
#    reasonably considered independent and separate works in themselves, then 
#    this License, and its terms, do not apply to those sections when you 
#    distribute them as separate works. But when you distribute the same 
#    sections as part of a whole which is a work based on the Program, the 
#    distribution of the whole must be on the terms of this License, whose 
#    permissions for other licensees extend to the entire whole, and thus to 
#    each and every part regardless of who wrote it. 
# 
#    Thus, it is not the intent of this section to claim rights or contest 
#    your rights to work written entirely by you; rather, the intent is to 
#    exercise the right to control the distribution of derivative or 
#    collective works based on the Program. 
# 
#    In addition, mere aggregation of another work not based on the Program 
#    with the Program (or with a work based on the Program) on a volume of a 
#    storage or distribution medium does not bring the other work under the 
#    scope of this License. 
# 
# 3. You may copy and distribute the Program (or a work based on it, under 
#    Section 2) in object code or executable form under the terms of Sections 
#    1 and 2 above provided that you also do one of the following: 
# 
#    * a) Accompany it with the complete corresponding machine-readable source 
#         code, which must be distributed under the terms of Sections 1 and 2 
#         above on a medium customarily used for software interchange; or, 
# 
#    * b) Accompany it with a written offer, valid for at least three years, 
#         to give any third party, for a charge no more than your cost of 
#         physically performing source distribution, a complete machine-
#         readable copy of the corresponding source code, to be distributed 
#         under the terms of Sections 1 and 2 above on a medium customarily 
#         used for software interchange; or, 
# 
#    * c) Accompany it with the information you received as to the offer to 
#         distribute corresponding source code. (This alternative is allowed 
#         only for noncommercial distribution and only if you received the 
#         program in object code or executable form with such an offer, in 
#         accord with Subsection b above.) 
# 
#    The source code for a work means the preferred form of the work for 
#    making modifications to it. For an executable work, complete source code 
#    means all the source code for all modules it contains, plus any 
#    associated interface definition files, plus the scripts used to control 
#    compilation and installation of the executable. However, as a special 
#    exception, the source code distributed need not include anything that is 
#    normally distributed (in either source or binary form) with the major 
#    components (compiler, kernel, and so on) of the operating system on which
#    the executable runs, unless that component itself accompanies the 
#    executable. 
# 
#    If distribution of executable or object code is made by offering access 
#    to copy from a designated place, then offering equivalent access to copy 
#    the source code from the same place counts as distribution of the source 
#    code, even though third parties are not compelled to copy the source 
#    along with the object code. 
# 
# 4. You may not copy, modify, sublicense, or distribute the Program except as
#    expressly provided under this License. Any attempt otherwise to copy, 
#    modify, sublicense or distribute the Program is void, and will 
#    automatically terminate your rights under this License. However, parties 
#    who have received copies, or rights, from you under this License will not
#    have their licenses terminated so long as such parties remain in full 
#    compliance. 
# 
# 5. You are not required to accept this License, since you have not signed 
#    it. However, nothing else grants you permission to modify or distribute 
#    the Program or its derivative works. These actions are prohibited by law 
#    if you do not accept this License. Therefore, by modifying or 
#    distributing the Program (or any work based on the Program), you 
#    indicate your acceptance of this License to do so, and all its terms and
#    conditions for copying, distributing or modifying the Program or works 
#    based on it. 
# 
# 6. Each time you redistribute the Program (or any work based on the 
#    Program), the recipient automatically receives a license from the 
#    original licensor to copy, distribute or modify the Program subject to 
#    these terms and conditions. You may not impose any further restrictions 
#    on the recipients' exercise of the rights granted herein. You are not 
#    responsible for enforcing compliance by third parties to this License. 
# 
# 7. If, as a consequence of a court judgment or allegation of patent 
#    infringement or for any other reason (not limited to patent issues), 
#    conditions are imposed on you (whether by court order, agreement or 
#    otherwise) that contradict the conditions of this License, they do not 
#    excuse you from the conditions of this License. If you cannot distribute 
#    so as to satisfy simultaneously your obligations under this License and 
#    any other pertinent obligations, then as a consequence you may not

=== src/asfd-4.0.5/host-if/Makefile ===
################################################################################
#
# 
# "This software program is licensed subject to the GNU General Public License 
# (GPL). Version 2, June 1991, available at 
# <http://www.fsf.org/copyleft/gpl.html>"
# 
# GNU General Public License 
# 
# Version 2, June 1991
# 
# Copyright (C) 1989, 1991 Free Software Foundation, Inc.  
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
# 
# Everyone is permitted to copy and distribute verbatim copies of this license
# document, but changing it is not allowed.
# 
# Preamble
# 
# The licenses for most software are designed to take away your freedom to 
# share and change it. By contrast, the GNU General Public License is intended
# to guarantee your freedom to share and change free software--to make sure 
# the software is free for all its users. This General Public License applies 
# to most of the Free Software Foundation's software and to any other program 
# whose authors commit to using it. (Some other Free Software Foundation 
# software is covered by the GNU Library General Public License instead.) You 
# can apply it to your programs, too.
# 
# When we speak of free software, we are referring to freedom, not price. Our
# General Public Licenses are designed to make sure that you have the freedom 
# to distribute copies of free software (and charge for this service if you 
# wish), that you receive source code or can get it if you want it, that you 
# can change the software or use pieces of it in new free programs; and that 
# you know you can do these things.
# 
# To protect your rights, we need to make restrictions that forbid anyone to 
# deny you these rights or to ask you to surrender the rights. These 
# restrictions translate to certain responsibilities for you if you distribute
# copies of the software, or if you modify it.
# 
# For example, if you distribute copies of such a program, whether gratis or 
# for a fee, you must give the recipients all the rights that you have. You 
# must make sure that they, too, receive or can get the source code. And you 
# must show them these terms so they know their rights.
#  
# We protect your rights with two steps: (1) copyright the software, and (2) 
# offer you this license which gives you legal permission to copy, distribute 
# and/or modify the software. 
# 
# Also, for each author's protection and ours, we want to make certain that 
# everyone understands that there is no warranty for this free software. If 
# the software is modified by someone else and passed on, we want its 
# recipients to know that what they have is not the original, so that any 
# problems introduced by others will not reflect on the original authors' 
# reputations. 
# 
# Finally, any free program is threatened constantly by software patents. We 
# wish to avoid the danger that redistributors of a free program will 
# individually obtain patent licenses, in effect making the program 
# proprietary. To prevent this, we have made it clear that any patent must be 
# licensed for everyone's free use or not licensed at all. 
# 
# The precise terms and conditions for copying, distribution and modification 
# follow. 
# 
# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
# 
# 0. This License applies to any program or other work which contains a notice
#    placed by the copyright holder saying it may be distributed under the 
#    terms of this General Public License. The "Program", below, refers to any
#    such program or work, and a "work based on the Program" means either the 
#    Program or any derivative work under copyright law: that is to say, a 
#    work containing the Program or a portion of it, either verbatim or with 
#    modifications and/or translated into another language. (Hereinafter, 
#    translation is included without limitation in the term "modification".) 
#    Each licensee is addressed as "you". 
# 
#    Activities other than copying, distribution and modification are not 
#    covered by this License; they are outside its scope. The act of running 
#    the Program is not restricted, and the output from the Program is covered 
#    only if its contents constitute a work based on the Program (independent 
#    of having been made by running the Program). Whether that is true depends
#    on what the Program does. 
# 
# 1. You may copy and distribute verbatim copies of the Program's source code 
#    as you receive it, in any medium, provided that you conspicuously and 
#    appropriately publish on each copy an appropriate copyright notice and 
#    disclaimer of warranty; keep intact all the notices that refer to this 
#    License and to the absence of any warranty; and give any other recipients 
#    of the Program a copy of this License along with the Program. 
# 
#    You may charge a fee for the physical act of transferring a copy, and you 
#    may at your option offer warranty protection in exchange for a fee. 
# 
# 2. You may modify your copy or copies of the Program or any portion of it, 
#    thus forming a work based on the Program, and copy and distribute such 
#    modifications or work under the terms of Section 1 above, provided that 
#    you also meet all of these conditions: 
# 
#    * a) You must cause the modified files to carry prominent notices stating 
#         that you changed the files and the date of any change. 
# 
#    * b) You must cause any work that you distribute or publish, that in 
#         whole or in part contains or is derived from the Program or any part 
#         thereof, to be licensed as a whole at no charge to all third parties
#         under the terms of this License. 
# 
#    * c) If the modified program normally reads commands interactively when 
#         run, you must cause it, when started running for such interactive 
#         use in the most ordinary way, to print or display an announcement 
#         including an appropriate copyright notice and a notice that there is
#         no warranty (or else, saying that you provide a warranty) and that 
#         users may redistribute the program under these conditions, and 
#         telling the user how to view a copy of this License. (Exception: if 
#         the Program itself is interactive but does not normally print such 
#         an announcement, your work based on the Program is not required to 
#         print an announcement.) 
# 
#    These requirements apply to the modified work as a whole. If identifiable 
#    sections of that work are not derived from the Program, and can be 
#    reasonably considered independent and separate works in themselves, then 
#    this License, and its terms, do not apply to those sections when you 
#    distribute them as separate works. But when you distribute the same 
#    sections as part of a whole which is a work based on the Program, the 
#    distribution of the whole must be on the terms of this License, whose 
#    permissions for other licensees extend to the entire whole, and thus to 
#    each and every part regardless of who wrote it. 
# 
#    Thus, it is not the intent of this section to claim rights or contest 
#    your rights to work written entirely by you; rather, the intent is to 
#    exercise the right to control the distribution of derivative or 
#    collective works based on the Program. 
# 
#    In addition, mere aggregation of another work not based on the Program 
#    with the Program (or with a work based on the Program) on a volume of a 
#    storage or distribution medium does not bring the other work under the 
#    scope of this License. 
# 
# 3. You may copy and distribute the Program (or a work based on it, under 
#    Section 2) in object code or executable form under the terms of Sections 
#    1 and 2 above provided that you also do one of the following: 
# 
#    * a) Accompany it with the complete corresponding machine-readable source 
#         code, which must be distributed under the terms of Sections 1 and 2 
#         above on a medium customarily used for software interchange; or, 
# 
#    * b) Accompany it with a written offer, valid for at least three years, 
#         to give any third party, for a charge no more than your cost of 
#         physically performing source distribution, a complete machine-
#         readable copy of the corresponding source code, to be distributed 
#         under the terms of Sections 1 and 2 above on a medium customarily 
#         used for software interchange; or, 
# 
#    * c) Accompany it with the information you received as to the offer to 
#         distribute corresponding source code. (This alternative is allowed 
#         only for noncommercial distribution and only if you received the 
#         program in object code or executable form with such an offer, in 
#         accord with Subsection b above.) 
# 
#    The source code for a work means the preferred form of the work for 
#    making modifications to it. For an executable work, complete source code 
#    means all the source code for all modules it contains, plus any 
#    associated interface definition files, plus the scripts used to control 
#    compilation and installation of the executable. However, as a special 
#    exception, the source code distributed need not include anything that is 
#    normally distributed (in either source or binary form) with the major 
#    components (compiler, kernel, and so on) of the operating system on which
#    the executable runs, unless that component itself accompanies the 
#    executable. 
# 
#    If distribution of executable or object code is made by offering access 
#    to copy from a designated place, then offering equivalent access to copy 
#    the source code from the same place counts as distribution of the source 
#    code, even though third parties are not compelled to copy the source 
#    along with the object code. 
# 
# 4. You may not copy, modify, sublicense, or distribute the Program except as
#    expressly provided under this License. Any attempt otherwise to copy, 
#    modify, sublicense or distribute the Program is void, and will 
#    automatically terminate your rights under this License. However, parties 
#    who have received copies, or rights, from you under this License will not
#    have their licenses terminated so long as such parties remain in full 
#    compliance. 
# 
# 5. You are not required to accept this License, since you have not signed 
#    it. However, nothing else grants you permission to modify or distribute 
#    the Program or its derivative works. These actions are prohibited by law 
#    if you do not accept this License. Therefore, by modifying or 
#    distributing the Program (or any work based on the Program), you 
#    indicate your acceptance of this License to do so, and all its terms and
#    conditions for copying, distributing or modifying the Program or works 
#    based on it. 
# 
# 6. Each time you redistribute the Program (or any work based on the 
#    Program), the recipient automatically receives a license from the 
#    original licensor to copy, distribute or modify the Program subject to 
#    these terms and conditions. You may not impose any further restrictions 
#    on the recipients' exercise of the rights granted herein. You are not 
#    responsible for enforcing compliance by third parties to this License. 
# 
# 7. If, as a consequence of a court judgment or allegation of patent 
#    infringement or for any other reason (not limited to patent issues), 
#    conditions are imposed on you (whether by court order, agreement or 
#    otherwise) that contradict the conditions of this License, they do not 
#    excuse you from the conditions of this License. If you cannot distribute 
#    so as to satisfy simultaneously your obligations under this License and 
#    any other pertinent obligations, then as a consequence you may not

=== src/asfd-4.0.5/i2c-asf/Makefile ===
################################################################################
#
# 
# "This software program is licensed subject to the GNU General Public License 
# (GPL). Version 2, June 1991, available at 
# <http://www.fsf.org/copyleft/gpl.html>"
# 
# GNU General Public License 
# 
# Version 2, June 1991
# 
# Copyright (C) 1989, 1991 Free Software Foundation, Inc.  
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
# 
# Everyone is permitted to copy and distribute verbatim copies of this license
# document, but changing it is not allowed.
# 
# Preamble
# 
# The licenses for most software are designed to take away your freedom to 
# share and change it. By contrast, the GNU General Public License is intended
# to guarantee your freedom to share and change free software--to make sure 
# the software is free for all its users. This General Public License applies 
# to most of the Free Software Foundation's software and to any other program 
# whose authors commit to using it. (Some other Free Software Foundation 
# software is covered by the GNU Library General Public License instead.) You 
# can apply it to your programs, too.
# 
# When we speak of free software, we are referring to freedom, not price. Our
# General Public Licenses are designed to make sure that you have the freedom 
# to distribute copies of free software (and charge for this service if you 
# wish), that you receive source code or can get it if you want it, that you 
# can change the software or use pieces of it in new free programs; and that 
# you know you can do these things.
# 
# To protect your rights, we need to make restrictions that forbid anyone to 
# deny you these rights or to ask you to surrender the rights. These 
# restrictions translate to certain responsibilities for you if you distribute
# copies of the software, or if you modify it.
# 
# For example, if you distribute copies of such a program, whether gratis or 
# for a fee, you must give the recipients all the rights that you have. You 
# must make sure that they, too, receive or can get the source code. And you 
# must show them these terms so they know their rights.
#  
# We protect your rights with two steps: (1) copyright the software, and (2) 
# offer you this license which gives you legal permission to copy, distribute 
# and/or modify the software. 
# 
# Also, for each author's protection and ours, we want to make certain that 
# everyone understands that there is no warranty for this free software. If 
# the software is modified by someone else and passed on, we want its 
# recipients to know that what they have is not the original, so that any 
# problems introduced by others will not reflect on the original authors' 
# reputations. 
# 
# Finally, any free program is threatened constantly by software patents. We 
# wish to avoid the danger that redistributors of a free program will 
# individually obtain patent licenses, in effect making the program 
# proprietary. To prevent this, we have made it clear that any patent must be 
# licensed for everyone's free use or not licensed at all. 
# 
# The precise terms and conditions for copying, distribution and modification 
# follow. 
# 
# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
# 
# 0. This License applies to any program or other work which contains a notice
#    placed by the copyright holder saying it may be distributed under the 
#    terms of this General Public License. The "Program", below, refers to any
#    such program or work, and a "work based on the Program" means either the 
#    Program or any derivative work under copyright law: that is to say, a 
#    work containing the Program or a portion of it, either verbatim or with 
#    modifications and/or translated into another language. (Hereinafter, 
#    translation is included without limitation in the term "modification".) 
#    Each licensee is addressed as "you". 
# 
#    Activities other than copying, distribution and modification are not 
#    covered by this License; they are outside its scope. The act of running 
#    the Program is not restricted, and the output from the Program is covered 
#    only if its contents constitute a work based on the Program (independent 
#    of having been made by running the Program). Whether that is true depends
#    on what the Program does. 
# 
# 1. You may copy and distribute verbatim copies of the Program's source code 
#    as you receive it, in any medium, provided that you conspicuously and 
#    appropriately publish on each copy an appropriate copyright notice and 
#    disclaimer of warranty; keep intact all the notices that refer to this 
#    License and to the absence of any warranty; and give any other recipients 
#    of the Program a copy of this License along with the Program. 
# 
#    You may charge a fee for the physical act of transferring a copy, and you 
#    may at your option offer warranty protection in exchange for a fee. 
# 
# 2. You may modify your copy or copies of the Program or any portion of it, 
#    thus forming a work based on the Program, and copy and distribute such 
#    modifications or work under the terms of Section 1 above, provided that 
#    you also meet all of these conditions: 
# 
#    * a) You must cause the modified files to carry prominent notices stating 
#         that you changed the files and the date of any change. 
# 
#    * b) You must cause any work that you distribute or publish, that in 
#         whole or in part contains or is derived from the Program or any part 
#         thereof, to be licensed as a whole at no charge to all third parties
#         under the terms of this License. 
# 
#    * c) If the modified program normally reads commands interactively when 
#         run, you must cause it, when started running for such interactive 
#         use in the most ordinary way, to print or display an announcement 
#         including an appropriate copyright notice and a notice that there is
#         no warranty (or else, saying that you provide a warranty) and that 
#         users may redistribute the program under these conditions, and 
#         telling the user how to view a copy of this License. (Exception: if 
#         the Program itself is interactive but does not normally print such 
#         an announcement, your work based on the Program is not required to 
#         print an announcement.) 
# 
#    These requirements apply to the modified work as a whole. If identifiable 
#    sections of that work are not derived from the Program, and can be 
#    reasonably considered independent and separate works in themselves, then 
#    this License, and its terms, do not apply to those sections when you 
#    distribute them as separate works. But when you distribute the same 
#    sections as part of a whole which is a work based on the Program, the 
#    distribution of the whole must be on the terms of this License, whose 
#    permissions for other licensees extend to the entire whole, and thus to 
#    each and every part regardless of who wrote it. 
# 
#    Thus, it is not the intent of this section to claim rights or contest 
#    your rights to work written entirely by you; rather, the intent is to 
#    exercise the right to control the distribution of derivative or 
#    collective works based on the Program. 
# 
#    In addition, mere aggregation of another work not based on the Program 
#    with the Program (or with a work based on the Program) on a volume of a 
#    storage or distribution medium does not bring the other work under the 
#    scope of this License. 
# 
# 3. You may copy and distribute the Program (or a work based on it, under 
#    Section 2) in object code or executable form under the terms of Sections 
#    1 and 2 above provided that you also do one of the following: 
# 
#    * a) Accompany it with the complete corresponding machine-readable source 
#         code, which must be distributed under the terms of Sections 1 and 2 
#         above on a medium customarily used for software interchange; or, 
# 
#    * b) Accompany it with a written offer, valid for at least three years, 
#         to give any third party, for a charge no more than your cost of 
#         physically performing source distribution, a complete machine-
#         readable copy of the corresponding source code, to be distributed 
#         under the terms of Sections 1 and 2 above on a medium customarily 
#         used for software interchange; or, 
# 
#    * c) Accompany it with the information you received as to the offer to 
#         distribute corresponding source code. (This alternative is allowed 
#         only for noncommercial distribution and only if you received the 
#         program in object code or executable form with such an offer, in 
#         accord with Subsection b above.) 
# 
#    The source code for a work means the preferred form of the work for 
#    making modifications to it. For an executable work, complete source code 
#    means all the source code for all modules it contains, plus any 
#    associated interface definition files, plus the scripts used to control 
#    compilation and installation of the executable. However, as a special 
#    exception, the source code distributed need not include anything that is 
#    normally distributed (in either source or binary form) with the major 
#    components (compiler, kernel, and so on) of the operating system on which
#    the executable runs, unless that component itself accompanies the 
#    executable. 
# 
#    If distribution of executable or object code is made by offering access 
#    to copy from a designated place, then offering equivalent access to copy 
#    the source code from the same place counts as distribution of the source 
#    code, even though third parties are not compelled to copy the source 
#    along with the object code. 
# 
# 4. You may not copy, modify, sublicense, or distribute the Program except as
#    expressly provided under this License. Any attempt otherwise to copy, 
#    modify, sublicense or distribute the Program is void, and will 
#    automatically terminate your rights under this License. However, parties 
#    who have received copies, or rights, from you under this License will not
#    have their licenses terminated so long as such parties remain in full 
#    compliance. 
# 
# 5. You are not required to accept this License, since you have not signed 
#    it. However, nothing else grants you permission to modify or distribute 
#    the Program or its derivative works. These actions are prohibited by law 
#    if you do not accept this License. Therefore, by modifying or 
#    distributing the Program (or any work based on the Program), you 
#    indicate your acceptance of this License to do so, and all its terms and
#    conditions for copying, distributing or modifying the Program or works 
#    based on it. 
# 
# 6. Each time you redistribute the Program (or any work based on the 
#    Program), the recipient automatically receives a license from the 
#    original licensor to copy, distribute or modify the Program subject to 
#    these terms and conditions. You may not impose any further restrictions 
#    on the recipients' exercise of the rights granted herein. You are not 
#    responsible for enforcing compliance by third parties to this License. 
# 
# 7. If, as a consequence of a court judgment or allegation of patent 
#    infringement or for any other reason (not limited to patent issues), 
#    conditions are imposed on you (whether by court order, agreement or 
#    otherwise) that contradict the conditions of this License, they do not 
#    excuse you from the conditions of this License. If you cannot distribute 
#    so as to satisfy simultaneously your obligations under this License and 
#    any other pertinent obligations, then as a consequence you may not

=== src/asfd-4.0.5/watchdog/Makefile ===
################################################################################
#
# 
# "This software program is licensed subject to the GNU General Public License 
# (GPL). Version 2, June 1991, available at 
# <http://www.fsf.org/copyleft/gpl.html>"
# 
# GNU General Public License 
# 
# Version 2, June 1991
# 
# Copyright (C) 1989, 1991 Free Software Foundation, Inc.  
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
# 
# Everyone is permitted to copy and distribute verbatim copies of this license
# document, but changing it is not allowed.
# 
# Preamble
# 
# The licenses for most software are designed to take away your freedom to 
# share and change it. By contrast, the GNU General Public License is intended
# to guarantee your freedom to share and change free software--to make sure 
# the software is free for all its users. This General Public License applies 
# to most of the Free Software Foundation's software and to any other program 
# whose authors commit to using it. (Some other Free Software Foundation 
# software is covered by the GNU Library General Public License instead.) You 
# can apply it to your programs, too.
# 
# When we speak of free software, we are referring to freedom, not price. Our
# General Public Licenses are designed to make sure that you have the freedom 
# to distribute copies of free software (and charge for this service if you 
# wish), that you receive source code or can get it if you want it, that you 
# can change the software or use pieces of it in new free programs; and that 
# you know you can do these things.
# 
# To protect your rights, we need to make restrictions that forbid anyone to 
# deny you these rights or to ask you to surrender the rights. These 
# restrictions translate to certain responsibilities for you if you distribute
# copies of the software, or if you modify it.
# 
# For example, if you distribute copies of such a program, whether gratis or 
# for a fee, you must give the recipients all the rights that you have. You 
# must make sure that they, too, receive or can get the source code. And you 
# must show them these terms so they know their rights.
#  
# We protect your rights with two steps: (1) copyright the software, and (2) 
# offer you this license which gives you legal permission to copy, distribute 
# and/or modify the software. 
# 
# Also, for each author's protection and ours, we want to make certain that 
# everyone understands that there is no warranty for this free software. If 
# the software is modified by someone else and passed on, we want its 
# recipients to know that what they have is not the original, so that any 
# problems introduced by others will not reflect on the original authors' 
# reputations. 
# 
# Finally, any free program is threatened constantly by software patents. We 
# wish to avoid the danger that redistributors of a free program will 
# individually obtain patent licenses, in effect making the program 
# proprietary. To prevent this, we have made it clear that any patent must be 
# licensed for everyone's free use or not licensed at all. 
# 
# The precise terms and conditions for copying, distribution and modification 
# follow. 
# 
# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
# 
# 0. This License applies to any program or other work which contains a notice
#    placed by the copyright holder saying it may be distributed under the 
#    terms of this General Public License. The "Program", below, refers to any
#    such program or work, and a "work based on the Program" means either the 
#    Program or any derivative work under copyright law: that is to say, a 
#    work containing the Program or a portion of it, either verbatim or with 
#    modifications and/or translated into another language. (Hereinafter, 
#    translation is included without limitation in the term "modification".) 
#    Each licensee is addressed as "you". 
# 
#    Activities other than copying, distribution and modification are not 
#    covered by this License; they are outside its scope. The act of running 
#    the Program is not restricted, and the output from the Program is covered 
#    only if its contents constitute a work based on the Program (independent 
#    of having been made by running the Program). Whether that is true depends
#    on what the Program does. 
# 
# 1. You may copy and distribute verbatim copies of the Program's source code 
#    as you receive it, in any medium, provided that you conspicuously and 
#    appropriately publish on each copy an appropriate copyright notice and 
#    disclaimer of warranty; keep intact all the notices that refer to this 
#    License and to the absence of any warranty; and give any other recipients 
#    of the Program a copy of this License along with the Program. 
# 
#    You may charge a fee for the physical act of transferring a copy, and you 
#    may at your option offer warranty protection in exchange for a fee. 
# 
# 2. You may modify your copy or copies of the Program or any portion of it, 
#    thus forming a work based on the Program, and copy and distribute such 
#    modifications or work under the terms of Section 1 above, provided that 
#    you also meet all of these conditions: 
# 
#    * a) You must cause the modified files to carry prominent notices stating 
#         that you changed the files and the date of any change. 
# 
#    * b) You must cause any work that you distribute or publish, that in 
#         whole or in part contains or is derived from the Program or any part 
#         thereof, to be licensed as a whole at no charge to all third parties
#         under the terms of this License. 
# 
#    * c) If the modified program normally reads commands interactively when 
#         run, you must cause it, when started running for such interactive 
#         use in the most ordinary way, to print or display an announcement 
#         including an appropriate copyright notice and a notice that there is
#         no warranty (or else, saying that you provide a warranty) and that 
#         users may redistribute the program under these conditions, and 
#         telling the user how to view a copy of this License. (Exception: if 
#         the Program itself is interactive but does not normally print such 
#         an announcement, your work based on the Program is not required to 
#         print an announcement.) 
# 
#    These requirements apply to the modified work as a whole. If identifiable 
#    sections of that work are not derived from the Program, and can be 
#    reasonably considered independent and separate works in themselves, then 
#    this License, and its terms, do not apply to those sections when you 
#    distribute them as separate works. But when you distribute the same 
#    sections as part of a whole which is a work based on the Program, the 
#    distribution of the whole must be on the terms of this License, whose 
#    permissions for other licensees extend to the entire whole, and thus to 
#    each and every part regardless of who wrote it. 
# 
#    Thus, it is not the intent of this section to claim rights or contest 
#    your rights to work written entirely by you; rather, the intent is to 
#    exercise the right to control the distribution of derivative or 
#    collective works based on the Program. 
# 
#    In addition, mere aggregation of another work not based on the Program 
#    with the Program (or with a work based on the Program) on a volume of a 
#    storage or distribution medium does not bring the other work under the 
#    scope of this License. 
# 
# 3. You may copy and distribute the Program (or a work based on it, under 
#    Section 2) in object code or executable form under the terms of Sections 
#    1 and 2 above provided that you also do one of the following: 
# 
#    * a) Accompany it with the complete corresponding machine-readable source 
#         code, which must be distributed under the terms of Sections 1 and 2 
#         above on a medium customarily used for software interchange; or, 
# 
#    * b) Accompany it with a written offer, valid for at least three years, 
#         to give any third party, for a charge no more than your cost of 
#         physically performing source distribution, a complete machine-
#         readable copy of the corresponding source code, to be distributed 
#         under the terms of Sections 1 and 2 above on a medium customarily 
#         used for software interchange; or, 
# 
#    * c) Accompany it with the information you received as to the offer to 
#         distribute corresponding source code. (This alternative is allowed 
#         only for noncommercial distribution and only if you received the 
#         program in object code or executable form with such an offer, in 
#         accord with Subsection b above.) 
# 
#    The source code for a work means the preferred form of the work for 
#    making modifications to it. For an executable work, complete source code 
#    means all the source code for all modules it contains, plus any 
#    associated interface definition files, plus the scripts used to control 
#    compilation and installation of the executable. However, as a special 
#    exception, the source code distributed need not include anything that is 
#    normally distributed (in either source or binary form) with the major 
#    components (compiler, kernel, and so on) of the operating system on which
#    the executable runs, unless that component itself accompanies the 
#    executable. 
# 
#    If distribution of executable or object code is made by offering access 
#    to copy from a designated place, then offering equivalent access to copy 
#    the source code from the same place counts as distribution of the source 
#    code, even though third parties are not compelled to copy the source 
#    along with the object code. 
# 
# 4. You may not copy, modify, sublicense, or distribute the Program except as
#    expressly provided under this License. Any attempt otherwise to copy, 
#    modify, sublicense or distribute the Program is void, and will 
#    automatically terminate your rights under this License. However, parties 
#    who have received copies, or rights, from you under this License will not
#    have their licenses terminated so long as such parties remain in full 
#    compliance. 
# 
# 5. You are not required to accept this License, since you have not signed 
#    it. However, nothing else grants you permission to modify or distribute 
#    the Program or its derivative works. These actions are prohibited by law 
#    if you do not accept this License. Therefore, by modifying or 
#    distributing the Program (or any work based on the Program), you 
#    indicate your acceptance of this License to do so, and all its terms and
#    conditions for copying, distributing or modifying the Program or works 
#    based on it. 
# 
# 6. Each time you redistribute the Program (or any work based on the 
#    Program), the recipient automatically receives a license from the 
#    original licensor to copy, distribute or modify the Program subject to 
#    these terms and conditions. You may not impose any further restrictions 
#    on the recipients' exercise of the rights granted herein. You are not 
#    responsible for enforcing compliance by third parties to this License. 
# 
# 7. If, as a consequence of a court judgment or allegation of patent 
#    infringement or for any other reason (not limited to patent issues), 
#    conditions are imposed on you (whether by court order, agreement or 
#    otherwise) that contradict the conditions of this License, they do not 
#    excuse you from the conditions of this License. If you cannot distribute 
#    so as to satisfy simultaneously your obligations under this License and 
#    any other pertinent obligations, then as a consequence you may not

=== libconfig-1.3.2/debian/changelog ===
libconfig (1.3.2) unstable; urgency=low

  * new upstream release
  * use official Debian files as basis
  * libconfig++8-dev depends on libconfig8-dev because libconfig.h++
    includes libconfig.h which is in libconfig8-dev

 -- Klaus Schneider <kschn@users.sourceforge.net>  Wed, 18 Feb 2009 15:26:32 +0100

libconfig (1.3.1-1) unstable; urgency=low

  * First upload to Debian (Closes: #438683)

  * New upstream release
    - soname bump to 6.1

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 31 Oct 2008 22:13:47 +0100

libconfig (1.3-1) unstable; urgency=low

  * New upstream release

  * Packaging
    - Updated to S-V 3.8.0 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 20 Jul 2008 19:55:23 +0200

libconfig (1.1-1) unstable; urgency=low

  * New upstream release

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon,  2 Jul 2007 02:01:40 +0200

libconfig (0.9-1) unstable; urgency=low

  * Initial packaging

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 10 Oct 2006 01:42:09 +0200

libconfigduo (1.3.1) unstable; urgency=low

  * Release 1.3.1

 -- Klaus Schneider <kschn@users.sourceforge.net>  Thu, 13 Nov 2008 17:05:12 +0100

libconfigduo (1.3) unstable; urgency=low

  * Release 1.3

 -- Klaus Schneider <kschn@users.sourceforge.net>  Fri, 4 Apr 2008 09:36:42 +0200

libconfigduo (1.2.1-1) unstable; urgency=low

  * Release 1.2.1

 -- Klaus Schneider <kschn@users.sourceforge.net>  Thu, 31 Jan 2008 11:25:21 +0100

libconfigduo (1.1.1-1) unstable; urgency=low

  * Initial release

 -- Klaus Schneider <kschn@users.sourceforge.net>  Mon, 25 Jun 2007 16:21:56 +0200

=== libconfig-1.3.2/debian/control ===
Source: libconfig
Priority: optional
Maintainer: Klaus Schneider <kschn@users.sourceforge.net>
Uploaders: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.8.0
Homepage: http://www.hyperrealm.com/libconfig/
Section: libs

Package: libconfig8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.

Package: libconfig++8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files(C++ binding)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This is the C++ binding.

Package: libconfig8-dev
Section: libdevel
Architecture: any
Provides: libconfig-dev
Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
Description: parsing and manipulation of structured config files(development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own programs.

Package: libconfig++8-dev
Section: libdevel
Architecture: any
Provides: libconfig++-dev
Depends: libconfig++8 (= ${binary:Version}), libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
Description: parsing and manipulation of structured config files(C++ development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own C++ programs.
